import { ReactEventHandlers } from 'react-use-gesture/dist/types';
import { Point } from 'utils/point';
import { DirectionWithDiagonals } from 'utils/position';
import { LinkCreationState } from 'states/linkCreationState';
import { LinkState } from 'states/linkState';
import { VisualComponents, IVisualComponentsObject } from 'states/visualComponents';
import { IVisualComponentProps } from 'states/visualComponentState';
export declare class LinksSettings {
    private _pathConstructor;
    private _visualComponents;
    private _preferLinksDirection;
    constructor();
    import: (obj?: ILinksSettings | undefined) => void;
    get pathConstructor(): ILinkPathConstructor;
    setPathConstructor: (value: ILinkPathConstructor | null | undefined) => void;
    get visualComponents(): VisualComponents<LinkState | LinkCreationState, ILinkVisualComponentProps<any>>;
    get preferLinksDirection(): "horizontal" | "vertical" | "both";
}
export interface ILinkVisualComponentProps<TSettings = any> extends IVisualComponentProps<LinkState | LinkCreationState, TSettings> {
    bind: (...args: any[]) => ReactEventHandlers;
}
export interface ILinksSettings extends IVisualComponentsObject<ILinkVisualComponentProps> {
    pathConstructor?: ILinkPathConstructor;
    preferLinksDirection?: LinksSettings['preferLinksDirection'];
}
export interface ILinkPathConstructorEndpointInfo {
    point: Point;
    portType?: string;
    direction?: DirectionWithDiagonals;
}
export declare type ILinkPathConstructor = (source: ILinkPathConstructorEndpointInfo, target: ILinkPathConstructorEndpointInfo) => string;
//# sourceMappingURL=linksSettings.d.ts.map