import { Callbacks, ICallbacks } from 'states/callbacks';
import { DiagramSettings, IDiagramSettings } from 'states/diagramSettings';
import { DiagramState } from 'states/diagramState';
import { LinksSettings, ILinksSettings } from 'states/linksSettings';
import { LinksStore } from 'states/linksStore';
import { ILinkState } from 'states/linkState';
import { NodesSettings, INodesSettings } from 'states/nodesSettings';
import { NodesStore } from 'states/nodesStore';
import { INodeState } from 'states/nodeState';
import { PortsSettings, IPortsSettings } from 'states/portsSettings';
import { SelectionState } from 'states/selectionState';
export declare class RootStore {
    private _diagramState;
    private _nodesStore;
    private _linksStore;
    private _selectionState;
    private _diagramSettings;
    private _nodesSettings;
    private _portsSettings;
    private _linksSettings;
    private _callbacks;
    constructor();
    get diagramState(): DiagramState;
    get nodesStore(): NodesStore;
    get linksStore(): LinksStore;
    get diagramSettings(): DiagramSettings;
    get nodesSettings(): NodesSettings;
    get linksSettings(): LinksSettings;
    get portsSettings(): PortsSettings;
    get callbacks(): Callbacks;
    get selectionState(): SelectionState;
    importState: (nodes?: INodeState[] | undefined, links?: ILinkState[] | undefined) => void;
    export: () => {
        nodes: INodeState[];
        links: ILinkState[];
    };
    importSettings: (settings: ISettings) => void;
}
export interface ISettings {
    diagram?: IDiagramSettings;
    nodes?: INodesSettings;
    links?: ILinksSettings;
    ports?: IPortsSettings;
    callbacks?: ICallbacks;
}
//# sourceMappingURL=rootStore.d.ts.map